/**
 * Created by suntao on 2020/1/24.
 */


/**
 * auth true登录才能访问，false不需要登录，默认true
 */
export default [
  {
    path: '/',
    meta: {auth: false},
    component: resolve => require(['../modules/login/'], resolve)
  },
  {
    path: '/login',
    meta: {auth: false},
    component: resolve => require(['../modules/login/'], resolve)
  },
  {
    path: '/home',
    meta: {auth: true},
    component: resolve => require(['../modules/home/'], resolve),
    children: [
      {
        path: 'channels',
        component: resolve => require(['../modules/channels/'], resolve),
        meta: {auth: true},
      },
      {
        path: 'report',
        meta: {auth: true},
        component: resolve => require(['../modules/report/'], resolve)
      },
     {
        path: 'metabase',
        meta: {auth: true},
        component: resolve => require(['../modules/metabase/'], resolve)
      },
      {
        path: '*',
        meta: {auth: false},
        component: resolve => require(['../modules/404/'], resolve)
      }
    ]
  },
  {
    path: '*',
    meta: {auth: false},
    component: resolve => require(['../modules/404/'], resolve)
  },
]
